Forum Linux.débutant Installation d une radio de communication sous Linux imposible

Posté par . Licence CC by-sa
0
2
août
2017

Bonjour,sous Windows un programme de communication AMATEUR RADIO nommer Hamsphere est fonctionnel suis passer sous Linux car étant sous Windows vista avait des problèmes de navigation certaine page ne chargeait plus correctement suis passez sous Linux problème des navigateurs résolut mais je n arrive à installer un programme qui est fonctionnel sous linux certainement une étape que je ne fait pas correctement où une mise à jour non utiliser je dépose le site du programme si des personnes qualifier peut m apporter un éclairage je vous en remercie.

Page du téléchargement:http://www.hamsphere.com/download.php
Page explicative:http://www.dxrn.info/instruction-dinstallation-de-hamsphere/

Suit sous Ubuntu 16.04LTS

Linux ou Mac: fichiers JAR sont Java Runtime fichiers exécutables. Ne jamais décompresser le fichier JAR, même si suggéré. Enregistrez le fichier jar intacte quelque part sur ​​votre ordinateur, comme le bureau et clic droit « ouvrir avec » Java (TM) plate-forme binaire.
Linux: Enregistrez le fichier hamsphere.jar dans votre répertoire personnel. Ouvrez une fenêtre de terminal root et exécutez java -jar hamsphere.jar
```

  • # Incompréhensible

    Posté par . Évalué à 3.

    Ton message est illisible.
    Ajoutes de la ponctuation, corriges ta syntaxe, ça aidera pas mal a ce qu'on te comprenne.

    Sinon, je n'ai pas l'impression que tu aies décrit ton erreur ou ce que tu ne comprend pas?

  • # tu as installé java ?

    Posté par . Évalué à 2.

    Linux ou Mac: fichiers JAR sont Java Runtime fichiers exécutables. 
    Ne jamais décompresser le fichier JAR, même si suggéré. 
    Enregistrez le fichier jar intacte quelque part sur ​​votre ordinateur, comme le bureau et clic droit « ouvrir avec » Java (TM) plate-forme binaire.
    
    Linux: Enregistrez le fichier hamsphere.jar dans votre répertoire personnel. Ouvrez une fenêtre de terminal root et exécutez java -jar hamsphere.jar

    normalement il faut juste telecharger le fichier, et l'executer avec JAVA,
    tu as installé java sur ton ubuntu ?

    normalement java est fournit via ton gestionnaire de paquet

    • [^] # Re: tu as installé java ?

      Posté par . Évalué à 2.

      Ouvrez une fenêtre de terminal root

      Mmmmm sous ubuntu y'a pas de user root, donc vu que débutant Linux (à priori) pas sûr qu'il ait pensé à sudo …

      Mes 2 cents.

    • [^] # Re: tu as installé java ?

      Posté par . Évalué à 1.

      Et quand tu fais :

      Ouvrez une fenêtre de terminal root et exécutez java -jar hamsphere.jar
      que se passes t'il ?

      Julien_c'est_bien (y'a pas que Seb)

    • [^] # Re: tu as installé java ?

      Posté par (page perso) . Évalué à 1.

      normalement il faut juste telecharger le fichier, et l'executer avec JAVA,

      En console java -jar nom_du_programme.jar

      Il est possible de mettre cette commande dans un lanceur, mais la façon de faire dépend de l'Environnement de Bureau (Gnome, Kde …).

      « Il vaut mieux mobiliser son intelligence sur des conneries que mobiliser sa connerie sur des choses intelligentes. »

  • # chez moi ça marche

    Posté par (page perso) . Évalué à 4. Dernière modification le 03/08/17 à 15:07.

    Chez moi ça marche voici ce que j'ai fait pour le faire fonctionner:

        cedric@cedric-Standard-PC-i440FX-PIIX-1996:~/Téléchargements$ java -jar hamsphere_3.0.3.2.jar
        Le programme « java » peut être trouvé dans les paquets suivants :
         * default-jre
         * gcj-5-jre-headless
         * openjdk-8-jre-headless
         * gcj-4.8-jre-headless
         * gcj-4.9-jre-headless
         * openjdk-9-jre-headless
        Essayez : sudo apt install <paquet sélectionné>
        cedric@cedric-Standard-PC-i440FX-PIIX-1996:~/Téléchargements$ sudo apt install default-jre
        [sudo] Mot de passe de cedric : 
        Lecture des listes de paquets... Fait
        Construction de l'arbre des dépendances 
        Lecture des informations d'état... Fait
        Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
          libllvm3.8 linux-headers-4.4.0-81 linux-headers-4.4.0-81-generic
          linux-image-4.4.0-81-generic linux-image-extra-4.4.0-81-generic
        Veuillez utiliser « sudo apt autoremove » pour les supprimer.
        The following additional packages will be installed:
          ca-certificates-java default-jre-headless fonts-dejavu-extra java-common
          openjdk-8-jre openjdk-8-jre-headless
        Paquets suggérés :
          default-java-plugin icedtea-8-plugin openjdk-8-jre-jamvm
          fonts-ipafont-gothic fonts-ipafont-mincho fonts-wqy-microhei
          fonts-wqy-zenhei fonts-indic
        Les NOUVEAUX paquets suivants seront installés :
          ca-certificates-java default-jre default-jre-headless fonts-dejavu-extra
          java-common openjdk-8-jre openjdk-8-jre-headless
        0 mis à jour, 7 nouvellement installés, 0 à enlever et 15 non mis à jour.
        Il est nécessaire de prendre 28.8 Mo dans les archives.
        Après cette opération, 107 Mo d'espace disque supplémentaires seront utilisés.
        Souhaitez-vous continuer ? [O/n] o

    Après y a plus qu'a le lancer:

        cedric@cedric-Standard-PC-i440FX-PIIX-1996:~/Téléchargements$ java -jar hamsphere_3.0.3.2.jar 
        août 03, 2017 1:43:35 PM java.util.prefs.FileSystemPreferences$1 run
        INFO: Created user preferences directory.

    Voilà j'utilise plus ce type de programme vu que j'ai quitté le monde du radioamateurisme (hb9ond) (je préfère bricoler sur de l'arduino et cie).
    ```

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.